DEFAULT TOPIC TITLE
This is a context-sensitive Help file that is called from an application.


Click this button to make your choice.


Enter your input in this field.


Enter your input in this field.


Click this button to make your choice.


Click this button to make your choice.


Click this button to make your choice.


Enter a title for the executable (i.e."Quake" or "GLQuake ver 0.95")


Enter the path and file name of the executable, or Browse for it.


Click here to Browse for executables.


Click here to save your entries.


Cancel this dialog.


Enter the title of the game subdirectory here (i.e."Mission Pack 2")


Enter the name subdirectory name here (i.e."rogue")


Click here to Browse for game subdirectories


Click here to save your entries.


Cancel this dialog.


Click this button to make your choice.


Click this button to make your choice.


Click this button to make your choice.


Enter your input in this field.


Enter your input in this field.


Enter a friendly name for the Server here (i.e."PlanetQuake Main").


Click here to save your entries.


Cancel this dialog.


Enter the IP or computer name of the server.


Enter the port for this server (if needed).


Enter a password for this server (if applicable).


Click here if this server is a Quake server.


Click here if this server is a QuakeWorld server.


Click here if this server is a Quake2 server.


Click here if this server is a Hexen2 server.


Enter your input in this field.


Enter your input in this field.


Click this button to make your choice.


Click this button to make your choice.


Choose an item from the list.


Click this button to make your choice.


Select your preferred option.


Select your preferred option.


Type the file name here, or browse to the script file with the 'Browse' button.


Click here to browse for a script file.


Click here when done.


Click here to cancel this dialogue.


Click this button to make your choice.


Click this button to make your choice.


Click this button to make your choice.


Check your desired options.


Cancel this dialog


Click here to save your entries.


Choose an item from the list.


Choose an item from the list.


Choose an item from the list.


Please enter your first name.


Please enter your last name.


Click here to not run GameLaunch 3D.


Click here once you have entered your name.


Click here to cancel this dialogue.


Click here when done.


Enter the command to be bound here.


Click here to view your bindings. There are a few different bindings screens - the one accessed by this button is determined by the selection box to the right.


Click here to view / bind / add / edit / delete, or learn about aliases.


Save your work often!!


Click this button to make your choice.


Choose an item from the list.


Click here to see your player settings.


Save your work often!! Use this button to save the current script under a new name (this makes a copy of the script).


Choose your Quake executable.


Choose your QuakeWorld executable.


Click this box if QuakeWorld is installed on your system.


Check this box if you want GameSpy 3D started now.


Click here to minimize GameLaunch 3D.


Click here to close GameLaunch 3D.


Click here to configure Game Spy with your GameLaunch 3D settings.


Cancel this dialog.


Choose your Quake script.


Click here to leave GameLaunch 3D where it is.


Choose an item from the list.


Click this box if Hexen2 is installed on your system.


Choose your Hexen2 executable.


Choose your Hexen2 script.


Choose your Quake2 script.


Choose your Quake2 executable.


Click this box if Quake2 is installed on your system.


Click here to find your GameSpy installation.


Choose an item from the list.


Choose an item from the list.


Click here to search for the checked games.


Click here when done.


Click here to cancel.


ZipMagic make .zip archives appear as folders. Checking this box allows the Auto-Search to skip these folders.


The available Quake letter set.


Closes this dialog and saves any changes you have made.


Click here to clear the current letter (the one above the green cursor).


The available Hexen2 letter set.


Move the green cursor backward.


Move the green cursor forward.


The green cursor will auto-advance (if possible) after you select a letter.


Click here to clear the current name.


Restore the name to when it was last saved.


The available Quake2 letter set.


When checked, adding letters will insert them, moving letters to the right over one space.


Click here to cancel.


Launch Game

Pressing this button launches the current game with the options you have selected.


Pick the desired amount of memory.


Pick the default game sub-directory.


Windowed

By default, when GLQuake starts, it resizes your Win95 desktop to the resolution it is going to use for the current game. This generally screws up your desktop icon, and resizes your windows. Checking this option adds the following the parameters, which combined to relieve this problem.

This basically keeps your desktop looking normal.

-WINDOW

This command lets your desktop stay at the original resolution (like changing back and forth with ALT+TAB)

JC: "This will start GLQuake in a window on your desktop instead of switching the screen to lower resolution and covering everything." I (Orion IV) think it's a matter of how You interpret JC's statement, (mine:) using -window will result in win95 playing GLQuake in a "fullscreen" window in front of your desktop, while not using -window will make win95 zoom to the resolution thereby making your desktop look to be in lower resolution (like what Mystique owners know as a Virtual Desktop). **

+_WINDOWED_MOUSE 1 (also a console command)

Necessary to use the mouse with -window (also toggles in the options menu (use mouse)) **

Note: as last tested, this command does not work with Threewave CTF. This has nothing to do with GameLaunch 3D. If you cannot get mouse support in Threewave CTF, you must not check this option.


Pick your script file.


Pick your default demo.


Pick a server to join.


Default Game Modification Selection

When this is checked, the default game list is activated. The selected mod will be used by game.


Memory

When this is checked, the memory list is activated. The current game will attempt to allocate the requested amount of memory.


Default Script Selection

When this is checked, the default script list is activated. The selected script will be used by the current game.


Default Demo Selection

When this is checked, the default demo list is activated. The selected demo will be used by the selected game.


GLQuake Resolution

When this is checked, the resulting list is activated. GLQuake will attempt to run at the selected resolution.


Default Server Selection

When this is checked, the default server list is activated. The selected server will be used by the current game.


Dedicated Server

This option will start a dedicated server. A dedicated server does not allow local players - it hosts a game for others on a network. This option will not work with GLQuake or QuakeWorld.


Glide Swap Interval

FX_GLIDE_SWAPINTERVAL

Offers a speed up, but can cause 'tearing' on the screen.

When setting this to 0, you are not waiting for even intervals of your refresh rate.

Seems to be much like the vid_wait command in dosquake (see techinfo.txt), which means (0 update ASAP, 1 update when videocard is ready, 2 update when monitor and videocard both are ready). **

Values

0 = off (might improve performance), to swap backbuffer/frontbuffer ASAP.

1 = swap on vsync.

2 = swap every two vsyncs.


Glide Swap Interval

FX_GLIDE_SWAPINTERVAL

Offers a speed up, but can cause 'tearing' on the screen.

When setting this to 0, you are not waiting for even intervals of your refresh rate.

Seems to be much like the vid_wait command in dosquake (see techinfo.txt), which means (0 update ASAP, 1 update when videocard is ready, 2 update when monitor and videocard both are ready). **

Values

0 = off (might improve performance), to swap backbuffer/frontbuffer ASAP.

1 = swap on vsync.

2 = swap every two vsyncs.


Skip 3Dfx splash screen

FX_GLIDE_NO_SPLASH

This option controls whether the 3DFX spinning logo displays when the 3D card takes over from the 2D card.

Values

0 = Logo will display

1 = Logo will not display


Skip 3Dfx splash screen

FX_GLIDE_NO_SPLASH

This option controls whether the 3DFX spinning logo displays when the 3D card takes over from the 2D card.

Values

0 = Logo will display

1 = Logo will not display


Red Gamma (Brightness)

SST_RGAMMA

Used to brighten the red.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Red Gamma (Brightness)

SST_RGAMMA

Used to brighten the red.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Blue Gamma (Brightness)

SST_BGAMMA

Used to brighten the blue.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Green Gamma (Brightness)

SST_GGAMMA

Used to brighten the green.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Blue Gamma (Brightness)

SST_BGAMMA

Used to brighten the blue.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Green Gamma (Brightness)

SST_GGAMMA

Used to brighten the green.

Values

1.3 = darkest

1.4 =

1.5 =

1.6 =

1.7 = default

1.8 =

1.9 =

2.0 = brightest

HINT: to brighten your screen in general, increase the brightness of all three colors (Red, Green, & Blue)


Enable EDO Memory Usage

SST_FASTMEM

Provides a speed up if you have the right stuff..

Fast DRAM Configuration, Enables EDO Timing and compatibility. Makes the 3dfx know you have EDO ram for faster performance. **

Values

0 = 3dfx does not attempt to use EDO RAM features

1 = 3dfx does attempt to use EDO RAM features


Enable EDO Memory Usage

SST_FASTMEM

Provides a speed up if you have the right stuff..

Fast DRAM Configuration, Enables EDO Timing and compatibility. Makes the 3dfx know you have EDO ram for faster performance. **

Values

0 = 3dfx does not attempt to use EDO RAM features

1 = 3dfx does attempt to use EDO RAM features


Enable Fast PCI Bus Usage

SST_FASTPCIRD

Provides a speed up if you have the right stuff..

Fast PCI Read option enabled, Subtracts WaitStates on PCI Reads (Voodoo -> PCI) **

Values

0 = does not uses Fast PCI Read option

1 = uses Fast PCI Read option


Enable Fast PCI Bus Usage

SST_FASTPCIRD

Provides a speed up if you have the right stuff..

Fast PCI Read option enabled, Subtracts WaitStates on PCI Reads (Voodoo -> PCI) **

Values

0 = does not uses Fast PCI Read option

1 = uses Fast PCI Read option


Enable 24-bit Color

SST_VIDEO_24BPP

Enables 24bit Color mode to allow higher refresh to have gamma control. Must be used with SET SST_SCREENREFRESH=#, if # is set higher than 60. **

Values

0 = 24bit Color mode not enabled

1 = 24bit Color mode enabled


Enable 24-bit Color

SST_VIDEO_24BPP

Enables 24bit Color mode to allow higher refresh to have gamma control. Must be used with SET SST_SCREENREFRESH=#, if # is set higher than 60. **

Values

0 = 24bit Color mode not enabled

1 = 24bit Color mode enabled


Swap With Vertical Sync

SST_SWAP_EN_WAIT_ON_VSYNC

Can offer a speed up.

Turns off syncing to the monitors vertical refresh rate so the screen gets refreshed before its fully written on the monitor. **

Values

0 = syncing off

1 = syncing on


Swap With Vertical Sync

SST_SWAP_EN_WAIT_ON_VSYNC

Can offer a speed up.

Turns off syncing to the monitors vertical refresh rate so the screen gets refreshed before its fully written on the monitor. **

Values

0 = syncing off

1 = syncing on


Screen Refresh Rate

SST_SCREENREFRESH

Change refresh rate for improved looks.

Sets the refreshrate for the chip. The lower setting, the less attention the chip has to do updating the screen. Set low keeps more workpower for gaming and set high improves picture quality - maybe only slightly (just compare to 50MHz & 100MHz versions of televisions). But always check your monitor-manual for available refreshrate intervals. If you set SST_SCREENREFRESH to other than 60, then SST_GAMMA won't work unless you also SET SST_VIDEO_24BPP=1. **

Values

60

75

85

120


Screen Refresh Rate

SST_SCREENREFRESH

Change refresh rate for improved looks.

Sets the refreshrate for the chip. The lower setting, the less attention the chip has to do updating the screen. Set low keeps more workpower for gaming and set high improves picture quality - maybe only slightly (just compare to 50MHz & 100MHz versions of televisions). But always check your monitor-manual for available refreshrate intervals. If you set SST_SCREENREFRESH to other than 60, then SST_GAMMA won't work unless you also SET SST_VIDEO_24BPP=1. **

Values

60

75

85

120


Don't Clear The Backbuffer

SST_VIDEO_NOCLEAR

Don't clear the backbuffer during a page flip. **

Values

0 = clear the backbuffer

1 = do not clear the backbuffer


Don't Clear The Backbuffer

SST_VIDEO_NOCLEAR

Don't clear the backbuffer during a page flip. **

Values

0 = clear the backbuffer

1 = do not clear the backbuffer


24 to 16 bit Color Smoothing

SST_VIDEO_FILTER_DISABLE

Disables 24 -> 16 bit color conversion smoothing. In words, disables dither smoothing. **

Values

0 = 24 -> 16 bit color conversion smoothing enabled

1 = 24 -> 16 bit color conversion smoothing disabled


24 to 16 bit Color Smoothing

SST_VIDEO_FILTER_DISABLE

Disables 24 -> 16 bit color conversion smoothing. In words, disables dither smoothing. **

Values

0 = 24 -> 16 bit color conversion smoothing enabled

1 = 24 -> 16 bit color conversion smoothing disabled


16 bit Pixel Threshold

SST_VIDEO_FILTER_THRESHOLD

16bit pixel value threshold, in which smoothing will be applied to inside adjacent pixels. **

Values

0 = 16bit pixel value threshold not on

1 = 16bit pixel value threshold on


16 bit Pixel Threshold

SST_VIDEO_FILTER_THRESHOLD

16bit pixel value threshold, in which smoothing will be applied to inside adjacent pixels. **

Values

0 = 16bit pixel value threshold not on

1 = 16bit pixel value threshold on


Disable Texture Mapping

SST_TEXMAP_DISABLE

Kinda worthless, but here it is...

Disables Texture Mapping **

Values

0 = texture mapping not disabled

1 = texture mapping disabled (looks lame)


Disable Texture Mapping

SST_TEXMAP_DISABLE

Kinda worthless, but here it is...

Disables Texture Mapping **

Values

0 = texture mapping not disabled

1 = texture mapping disabled (looks lame)


Show Set

Many of the GL options must be set using environment variables. In DOS, these are displayed with a 'SET' command. Checking this option adds a SET and a PAUSE command to the batch, and they are executed just prior to the lunching of the current game. This allows you to examine your environment variables after GameLaunch 3D changes them.


Shadows

Adds shadows to objects.

This causes every object to cast a shadow. However fast moving objects like nails will have shadows flying all over (looks weird) and torches also have shadows (often in the middle of the air). **

Values

0 = objects have no shadows

1 = objects have shadows


Shadows

Adds shadows to objects.

This causes every object to cast a shadow. However fast moving objects like nails will have shadows flying all over (looks weird) and torches also have shadows (often in the middle of the air). **

Values

0 = objects have no shadows

1 = objects have shadows


Mirrors

Adds reflectivity to certain stained glass windows.

JC: This changes one particular texture (the stained glass texture in the EASY start hall) into a mirror. The value is the opacity of the mirror surface (0 full mirror - 1 no mirror). **

Values

0.0 = full reflectivity

0.1 =

0.2 =

0.3 =

0.4 =

0.5 = 1/2 reflectivity

0.6 =

0.7 =

0.8 =

0.9 =

1.0 = no reflectivity


Select the check box to enable the option to its right.


Water Transparency

Makes water transparent. Effect varies depending on if you have the newly vised maps from http://razor.stomped.com/water/

This sets the opacity of water textures, so you can see through it in properly processed maps. 0.3 is very faint, almost like fog. 1 is completely solid (the default). Unfortunately, the standard quake maps don't contain any visibility information for seeing past water surfaces, so you can't just play quake with this turned on. If you just want to see what it looks like,

you must set "R_NOVIS 1" also, but that will make things go very slow (half speed!). When I (JC) get a chance, I (JC) will probably release some maps that have been processed properly for this. **

Values

0.0 = totally clear

0.1 =

0.2 =

0.3 = like fog

0.4 =

0.5 =

0.6 = what I use

0.7 =

0.8 =

0.9 =

1.0 = not clear at all


Water Transparency

Makes water transparent. Effect varies depending on if you have the newly vised maps from http://razor.stomped.com/water/

This sets the opacity of water textures, so you can see through it in properly processed maps. 0.3 is very faint, almost like fog. 1 is completely solid (the default). Unfortunately, the standard quake maps don't contain any visibility information for seeing past water surfaces, so you can't just play quake with this turned on. If you just want to see what it looks like,

you must set "R_NOVIS 1" also, but that will make things go very slow (half speed!). When I (JC) get a chance, I (JC) will probably release some maps that have been processed properly for this. **

Values

0.0 = totally clear

0.1 =

0.2 =

0.3 = like fog

0.4 =

0.5 =

0.6 = what I use

0.7 =

0.8 =

0.9 =

1.0 = not clear at all


Round Texture Sizes Down

GL_ROUND_DOWN

OpenGL only allows textures to repeat on power of two boundaries (32, 64, 128, etc), but software quake had a number of textures that repeated at 24 or 96 pixel boundaries. These need to be either stretched out to the next higher size, or shrunk down to the next lower. By default, they are filtered down to the smaller size, but you can cause it to use the larger size if you really want. This will generally run well on a normal 4 MB 3dfx card, but for other cards that have either worse texture management or slower texture swapping speeds, there are some additional settings that can drastically lower the amount of textures to be managed. **

Values

0 = round texture sizes up

1 = round texture sizes down (default)


Round Texture Sizes Down

GL_ROUND_DOWN

OpenGL only allows textures to repeat on power of two boundaries (32, 64, 128, etc), but software quake had a number of textures that repeated at 24 or 96 pixel boundaries. These need to be either stretched out to the next higher size, or shrunk down to the next lower. By default, they are filtered down to the smaller size, but you can cause it to use the larger size if you really want. This will generally run well on a normal 4 MB 3dfx card, but for other cards that have either worse texture management or slower texture swapping speeds, there are some additional settings that can drastically lower the amount of textures to be managed. **

Values

0 = round texture sizes up

1 = round texture sizes down (default)


Texture Mip (Blur)

GL_PICMIP

This causes all textures to have one half the dimensions they otherwise would. This makes them blurry, but very small. You can set this to 2 to make the textures one quarter the resolution on each axis for REALLY blurry textures. **

Values

0 = textures have normal dimensions (default)

1 = textures have 1/2 dimensions (blurry)

2 = textures have 1/4 dimensions (really blurry)


Texture Mip (Blur)

GL_PICMIP

This causes all textures to have one half the dimensions they otherwise would. This makes them blurry, but very small. You can set this to 2 to make the textures one quarter the resolution on each axis for REALLY blurry textures. **

Values

0 = textures have normal dimensions (default)

1 = textures have 1/2 dimensions (blurry)

2 = textures have 1/4 dimensions (really blurry)


Player Mip (Blur)

GL_PLAYERMIP

Lets you control the blurryness on others as you get

closer to them.

This is similar to picmip, but is only used for other players in deathmatch. Each player in a deathmatch requires an individual skin texture, so this can be a serious problem for texture management. It wouldn't be unreasonable to set this to 2 or even 3 if you are playing competitively (and don't care if the other guys have smudged skins). If you change this during the game, it will take effect as soon as a player changes their skin colors. **

Values

0 = supersharp skins

1 = blurred skins

2 = really blurred skins (suggested for network play)

3 = really really blurred skins


Player Mip (Blur)

GL_PLAYERMIP

Lets you control the blurryness on others as you get

closer to them.

This is similar to picmip, but is only used for other players in deathmatch. Each player in a deathmatch requires an individual skin texture, so this can be a serious problem for texture management. It wouldn't be unreasonable to set this to 2 or even 3 if you are playing competitively (and don't care if the other guys have smudged skins). If you change this during the game, it will take effect as soon as a player changes their skin colors. **

Values

0 = supersharp skins

1 = blurred skins

2 = really blurred skins (suggested for network play)

3 = really really blurred skins


No LAN

Checking this will disable LAN support in the current game.


No TCP/IP

Checking this will disable TCP/IP support in the current game.


No CD Audio

Checking this will disable CD audio in the current game.


Z Trick

Provides a speed up.

JC: "GLQuake uses a buffering method that avoids clearing the Z buffer, but some hardware platforms don't like it. If the status bar and console are flashing every other frame, clear this variable." Instead of clearing the zbuffer every frame, it uses one of the 16 bits as an indicator of whether the value was from an even or odd frame. There will be a minor speedup and only 15 bits of precision in the zbuffer (no visual difference except maybe extreme cases). **

Values

0 = 15bits of prediction (faster)

1 = clears Z-buffer ever time.


Z Trick

Provides a speed up.

JC: "GLQuake uses a buffering method that avoids clearing the Z buffer, but some hardware platforms don't like it. If the status bar and console are flashing every other frame, clear this variable." Instead of clearing the zbuffer every frame, it uses one of the 16 bits as an indicator of whether the value was from an even or odd frame. There will be a minor speedup and only 15 bits of precision in the zbuffer (no visual difference except maybe extreme cases). **

Values

0 = 15bits of prediction (faster)

1 = clears Z-buffer ever time.


Keep T Junctions

Provides a speed up.

JC: "If you clear this, GLQuake will remove collinear vertexes when it reloads the level. This can give a few percent speedup, but it can leave a couple stray blinking pixels on the screen." Sometimes there are gaps in between adjacent polygons and you can see through to what should be blocked. This is pretty obvious in some places, like when there is a bright sky or lava

behind it. GL_KEEPTJUNCTIONS 1 fills up the gaps, which looks much better if you can't see what the difference is, leave it off and gain maybe 1 or 2 fps. **

Values

0 = removes collinear vertexes (faster)

1 = does not removes collinear vertexes (prettier)


Keep T Junctions

Provides a speed up.

JC: "If you clear this, GLQuake will remove collinear vertexes when it reloads the level. This can give a few percent speedup, but it can leave a couple stray blinking pixels on the screen." Sometimes there are gaps in between adjacent polygons and you can see through to what should be blocked. This is pretty obvious in some places, like when there is a bright sky or lava

behind it. GL_KEEPTJUNCTIONS 1 fills up the gaps, which looks much better if you can't see what the difference is, leave it off and gain maybe 1 or 2 fps. **

Values

0 = removes collinear vertexes (faster)

1 = does not removes collinear vertexes (prettier)


Polyblend

Rippin! Eliminates the pasty screen when you go invisible, get the quad, go underwater, etc, and provides a speed up.

Values

0 = no paste (faster!)

1 = regular old paste


Polyblend

Rippin! Eliminates the pasty screen when you go invisible, get the quad, go underwater, etc, and provides a speed up.

Values

0 = no paste (faster!)

1 = regular old paste


Texture Mode

Can make GLQuake look like old Quake, but why?

These four levels of texturemodes sets the picture quality from almost raw DOS-quake picture quality to the default GLQuake quality. The last (4.th) can only be used/seen on very high-end 3D hardware (NOT D3D/R3D!). If you think the 3D card is softening the picture too much, then try a lower texture quality - it might also improve speed. **

Values

GL_NEAREST (like regular quake)

GL_NEAREST_MIPMAP_NEAREST

GL_LINEAR_MIPMAP_NEAREST (Default)

GL_LINEAR_MIPMAP_LINEAR


Texture Mode

Can make GLQuake look like old Quake, but why?

These four levels of texturemodes sets the picture quality from almost raw DOS-quake picture quality to the default GLQuake quality. The last (4.th) can only be used/seen on very high-end 3D hardware (NOT D3D/R3D!). If you think the 3D card is softening the picture too much, then try a lower texture quality - it might also improve speed. **

Values

GL_NEAREST (like regular quake)

GL_NEAREST_MIPMAP_NEAREST

GL_LINEAR_MIPMAP_NEAREST (Default)

GL_LINEAR_MIPMAP_LINEAR


Issue a glFinish()

GL_FINISH

Provides a speed up.

This causes the game to not issue a glFinish() call each frame, which may make some hardware run faster. If this is cleared, the 3dfx will back up a number of frames and not be very playable. **

Values

0 = will not issue a glFinish()

1 = will issue a glFinish()


Issue a glFinish()

GL_FINISH

Provides a speed up.

This causes the game to not issue a glFinish() call each frame, which may make some hardware run faster. If this is cleared, the 3dfx will back up a number of frames and not be very playable. **

Values

0 = will not issue a glFinish()

1 = will issue a glFinish()


Lighting

GL_FLASHBLEND

Puts the old lighting scheme back in Quake.

By default, GLQuake just draws a shaded ball around objects that are emitting light. Clearing this variable will cause it to properly relight the world like normal quake, but it can be a significant speed hit on some systems (The default GL_FLASHBLEND 1 could be faster!). **

Values

0 = old lighting scheme

1 = new GLQuake lighting scheme


Lighting

GL_FLASHBLEND

Puts the old lighting scheme back in Quake.

By default, GLQuake just draws a shaded ball around objects that are emitting light. Clearing this variable will cause it to properly relight the world like normal quake, but it can be a significant speed hit on some systems (The default GL_FLASHBLEND 1 could be faster!). **

Values

0 = old lighting scheme

1 = new GLQuake lighting scheme


Listen Server

This option will start a listen server. A listen server does allows a local player and hosts a game for others on a network. The local player will have an advantage because there is no lag on the server.


Runs the Default Benchmark

The default Quake frame rate benchmark is the running to Demo2 in full-screen mode. This will display 985 frames as fast as possible while timing the process. A frames-per-second (FPS) rating is returned. For Hexen 2 and Quake 2, the first demo is timed.


Game Spy

Checking this option allows GameLaunch 3D to interface with GameSpy 3D.

1) Start GameSpy 3D, and select a server.

2) Check the 'Connect to GameSpy 3D Server' option in GameLaunch 3D.

3) Launch the game from GameLaunch 3D to connect to the GameSpy 3D server.


Windowed

By default, when GLQuake starts, it resizes your Win95 desktop to the resolution it is going to use for Quake. This generally screws up your desktop icon, and resizes your windows. Checking this option adds the following the parameters, which combined to relieve this problem.

This basically keeps your desktop looking normal.

-WINDOW

This command lets your desktop stay at the original resolution (like changing back and forth with ALT+TAB)

JC: "This will start GLQuake in a window on your desktop instead of switching the screen to lower resolution and covering everything." I (Orion IV) think it's a matter of how You interpret JC's statement, (mine:) using -window will result in win95 playing GLQuake in a "fullscreen" window in front of your desktop, while not using -window will make win95 zoom to the resolution thereby making your desktop look to be in lower resolution (like what Mystique owners know as a Virtual Desktop). **

+_WINDOWED_MOUSE 1 (also a console command) Necessary to use the mouse with -window (also toggles in the options menu (use mouse)) **

Note: as last tested, this command does not work with Threewave CTF. This has nothing to do with GameLaunch 3D. If you cannot get mouse support in Threewave CTF, you must not check this option.


Pick the executable you would like to Launch.


Executable Menu

A menu for adding to, editing, and deleting from the executable list.

View All

This option will display all Executable Titles and Path\Executables.

Add / Edit

Selecting Add or Edit displays a dialog.

If you are adding, the text boxes will be empty. To Add, type a title for the executable (i.e. "GL Quake"). You may type the path and name (i.e. "F:\QUAKE\GLQUAKE.EXE"), or use the Browse button.. If you are editing an executable, you may change the title and/or the path and executable name. For Adding and Editing, press 'OK' to save your entry, or 'CANCEL' to not save.

Delete

This will delete the currently selected executable from the list. First, your are asked to confirm the deletion. Afterwards, another confirmation is displayed. If the deletion was OK, click 'Cool'. If an error was made, click 'Not Cool' and the deletion will be canceled.


Game Menu

A menu for adding to, editing, and deleting from the list of custom game sub-directories.

View All

This option will display all Game Titles and Game Directories.

Add > Scan

This will invoke the built in AutoScan and manually add new Game subdirectories.

Add > Manual / Edit

Selecting Add > Manual or Edit displays a dialog.

If you are adding, the text boxes will be empty. To Add, type a title for the game (i.e. "Mission Pack 2"). You may type the game subdirectory (i.e. "rogue"), or use the Browse button.. If you are editing a game subdirectory, you may change the title and/or the game subdirectory. For Adding and Editing, press 'OK' to save your entry, or 'CANCEL' to not save.

Delete

This will delete the currently selected game from the list. First, your are asked to confirm the deletion. Afterwards, another confirmation is displayed. If the deletion was OK, click 'Cool'. If an error was made, click 'Not Cool' and the deletion will be canceled.


Memory Menu

A menu for editing the list of memory options.

View All

Displays all current memory selections.

Edit

Selecting 'Edit' shows a dialog.

This provides a way to define the whole memory list by asking for three numbers. The first number is the smallest memory configuration you would like available (in megabytes). The next number is the size (in megabytes) between choices. The last number is  the largest memory configuration you would like available (in megabytes). The list is then custom tailored to your specifications by pressing 'OK'. Press 'CANCEL' to abort any changes.


Script Menu

A menu for adding to, editing, deleting from, and opening items in the script list.

View All

This option will display all Script Titles and Path\Script Files.

Add / Edit

Selecting Add or Edit displays a dialog.

If you are adding, the text boxes will be empty. To Add, type a title for the script (i.e. "My Cool Script"). You may type the name (i.e. "ikickass.cfg"), or use the Browse button.. If you are editing a script, you may change the title and/or the script name. For Adding and Editing, press 'OK' to save your entry, or 'CANCEL' to not save.

Delete

This will delete the currently selected script from the list. First, your are asked to confirm the deletion. Afterwards, another confirmation is displayed. If the deletion was OK, click 'Cool'. If an error was made, click 'Not Cool' and the deletion will be canceled.

Open in Editor

This will open the script file for editing with the default editor. The default default editor is notepad.exe.

Change Default Script Editor

This will open a file dialog box allowing you to select ant program to edit your script. The selection is saved for all time (unless you change it again).


Demo Menu

A menu for adding to, editing, and deleting from the list of demos.

View All

This option will display all Demo Titles and Demo File Names.

Add / Edit

Selecting Add or Edit displays a dialog.

If you are adding, the text boxes will be empty. To Add, type a title for the demo (i.e. "My Cool Demo"). You may type the demo file name (i.e. "cooldemo.dem"), or use the Browse button.. If you are editing a demo, you may change the title and/or the demo file name. For Adding and Editing, press 'OK' to save your entry, or 'CANCEL' to not save.

Delete

This will delete the currently selected script from the list. First, your are asked to confirm the deletion. Afterwards, another confirmation is displayed. If the deletion was OK, click 'Cool'. If an error was made, click 'Not Cool' and the deletion will be canceled.


Server Menu

A menu for adding to, editing, and deleting from the list of servers.

View All

This option will display all Server Titles and Server Addresses.

Add

Selecting Add or Edit displays a dialog.

If you are adding, the text boxes will be empty. To Add, type a title for the Server (i.e. "Joe's Cool Server"). You may type the server address (i.e. "123.45.67.89:27500" for internet, or possibly a computer name when on a LAN). If you are editing a server, you may change the title and/or address. For Adding and Editing, press 'OK' to save your entry, or 'CANCEL' to not save.

Delete

This will delete the currently selected server from the list. First, your are asked to confirm the deletion. Afterwards, another confirmation is displayed. If the deletion was OK, click 'Cool'. If an error was made, click 'Not Cool' and the deletion will be canceled.


This button will create the usual files (the batch file and the script file), but will not Launch.


This button displays a dialog box showing the contents of the batch file and script file created by your current selections. From the dialog you can do nothing, copy the contents to the clipboard, or Launch.


No Sound

Disables sounds.


Launches the selected game


Same as pressing 'Open in Script Master' - opens the current script in Script Master.


Equivalent to checking the 'Configure and Launch GameSpy' check box and then clicking the Launch button.


Sets the GL Options to the default 'Speed' settings. Voodoo1: Overclocking is used. Voodoo2: Overclocking is not used.


Sets the GL Options to the default 'Beauty' settings.


Resizes GameLaunch 3D. GameLaunch 3D has three sizes (also accessible from the menus) and the button toggles between them.


Minimizes GameLaunch 3D. In minimized form, GameLaunch 3D is the lightning bolt Icon in the tool bin of the Windows Start Bar.


Closes GameLaunch 3D.


Configure and Launch GameSpy

This option requires only that you have GameSpy installed. When this option is checked, Launching will display the following dialog:

1)	Choose your Quake Exe from the first pick-box.

2)	Chose your Quake Script from the second pick-box.

3)	If QuakeWorld is installed, check 'QuakeWorld is installed'

4)	And choose your QuakeWorld Exe from the third pick box.

5)	If Hexen ][ is installed, check 'Hexen ][ is installed'

6)	And choose your Hexen ][ Exe from the fourth pick-box

7)	And choose your Hexen ][ Script from the fifth pick-box

8)	Choose your launch options

9)	Press 'Do The Spy!'


Opens the help file.


Choose an item from the list.


Check here to enable your bitness selection.


GL Bitness must be set on the command line. Considerable pickyness has been noted in this area. Some systems will only run in 16bit, some only in 24bit, and some only in 32bit. This option is pretty much here for you to play with, and results will vary. Just leave it unchecked if it gives you problems.

Note : Not applicable in Quake2.


Select the Quake2 resolution you would like to start up with.


Select the graphics driver you would like to use at startup.


Check here to enable your graphics driver selection.


Click here to open the current script in Script Master!


Clock Rate (MHz)

SST_GRXCLK

Overclocks the Voodoo1 chipset. You'll get warnings before the program will let you do this!

This sets the frequency of the 3DFX Voodoo chip. Standard is 50, but you can go higher. This will however make the chip work faster/ more and make it warmer - and this could decrease the lifetime for the chip - be careful! Some say 55 is still safe - others say 57, but you should under no circumstance go higher (do at own risk!!!!). **

Values

50 = 50 MHz

53 = 53 MHz (overclocking)

55 = 55 MHz (overclocking)

57 = 57 MHz (overclocking)

60 = 60 MHz (really overclocking)

63 = 63 MHz (really really overclocking)


Clock Rate (MHz)

SST_GRXCLK

Overclocks the Voodoo1 chipset. You'll get warnings before the program will let you do this!

This sets the frequency of the 3DFX Voodoo chip. Standard is 50, but you can go higher. This will however make the chip work faster/ more and make it warmer - and this could decrease the lifetime for the chip - be careful! Some say 55 is still safe - others say 57, but you should under no circumstance go higher (do at own risk!!!!). **

Values

50 = 50 MHz

53 = 53 MHz (overclocking)

55 = 55 MHz (overclocking)

57 = 57 MHz (overclocking)

60 = 60 MHz (really overclocking)

63 = 63 MHz (really really overclocking)


Select your 3D Video card chipset

Voodoo

3Dfx Voodoo chipset - for example, Diamond Monster 3D

Voodoo2

3Dfx Voodoo2 chipset - for example, Diamond Monster 3D 2, or Creative Labs 3D Blaster Voodoo2


Don't sync buffer swaps to monitor refresh rate for Direct3D apps

When selected, Direct3D applications will not synchronize buffer swaps with the vertical retrace signal of the monitor. Rendering performance may increase when this option is selected, however, visual tearing may occur. (note: GLQuake, GLHexen2, and Quake2 are NOT Direct3D applications)


Don't sync buffer swaps to monitor refresh rate for Glide apps

When selected, Glide applications will not synchronize buffer swaps with the vertical retrace signal of the monitor. Rendering performance may increase when this option is selected, however, visual tearing may occur. (note: GLQuake, GLHexen2, and Quake2 are Glide applications)


Force advanced texture filtering for Glide apps

When selected, Glide applications will enable an advanced texture filtering mode. Visual quality of the rendered scene may be improved when this option is selected, however, a rendering performance decrease may occur. (note: GLQuake, GLHexen2, and Quake2 are Glide applications)


Force trilinear texture filtering for Direct3D apps

When selected, Direct3D applications which use texture mipmapping will enable trilinear filtering. Selecting this option will not impact rendering performance.  (note: GLQuake, GLHexen2, and Quake2 are NOT Direct3D applications)


Disable SLI Autodetection

When selected, Direct3D and Glide applications will not autodetect SLI. This may help some games run properly.  (note: GLQuake, GLHexen2, and Quake2 are Glide applications)

Bonus: What is SLI?

"SLI stands for Scan Line Interleaving. This means if you have 2 PCI cards from the same company, you can connect them together using a supplied internal cable. One of the cards would display the odd number fields, and the other card would display the even number fields. This will almost double the fill rate performance of Voodoo2." - taken from http://www.game-deli.com/~voodoo/ - "The Voodoo Guru"


Limit texture memory for Glide apps

When selected, Glide applications will force 2 Megabytes of texture memory for each texture mapping unit. Some Glide games may not work correctly if this option is not selected.  (note: GLQuake, GLHexen2, and Quake2 are Glide applications)


Clock Rate (MHz)

SSTV2_GRXCLK

Overclocks the Voodoo2 chipset. You'll get warnings before the program will let you do this!

This sets the frequency of the 3DFX Voodoo2 chip. Standard is 90, but you can go higher. This will however make the chip work faster/ more and make it warmer - and this could decrease the lifetime for the chip - be careful! Some say overclocking Voodoo2 is safe, other say that whether it's safe or not, Voodoo2 is plenty fast without overclocking, so why risk ruining your video card?

Values

80 = 80 MHz (underclocking)

85 = 85 MHz (underclocking)

90 = 90 MHz (default)

91 = 91 MHz (overclocking)

92 = 92 MHz (overclocking)

93 = 93 MHz (overclocking)

94 = 94 MHz (overclocking)

95 = 95 MHz (overclocking)

96 = 96 MHz (really overclocking)

97 = 97 MHz (really overclocking)

98 = 98 MHz (really overclocking)

99 = 99 MHz (really overclocking)

100 = 100 MHz (you probably have the extra cash to go buy a new video card tomorrow...)


Clock Rate (MHz)

SSTV2_GRXCLK

Overclocks the Voodoo2 chipset. You'll get warnings before the program will let you do this!

This sets the frequency of the 3DFX Voodoo2 chip. Standard is 90, but you can go higher. This will however make the chip work faster/ more and make it warmer - and this could decrease the lifetime for the chip - be careful! Some say overclocking Voodoo2 is safe, other say that whether it's safe or not, Voodoo2 is plenty fast without overclocking, so why risk ruining your video card?

Values

80 = 80 MHz (underclocking)

85 = 85 MHz (underclocking)

90 = 90 MHz (default)

91 = 91 MHz (overclocking)

92 = 92 MHz (overclocking)

93 = 93 MHz (overclocking)

94 = 94 MHz (overclocking)

95 = 95 MHz (overclocking)

96 = 96 MHz (really overclocking)

97 = 97 MHz (really overclocking)

98 = 98 MHz (really overclocking)

99 = 99 MHz (really overclocking)

100 = 100 MHz (you probably have the extra cash to go buy a new video card tomorrow...)


Click here to copy your User Code to the clipboard. This can be useful for avoiding typos.


First, copy your registration code from the Email you recieved. Then, click here to paste your registration code. This can be useful for avoiding typos


Enter your registration Code here, or use the handy 'Paste' button.


Click here once all fields are completed.


Click here to cancel this dialogue.


Click here for registration instructions.


Enter your email address here.


Enter your input in this field.


Click this button to make your choice.


Click this button to make your choice.


This delay is caused by a failure to register within the specified shareware period.